package com.pqs9900.pojo.HisData;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author denghuajun
 * @Description //TODO 短时闪变
 * @Date 2018/12/17 10:55
 **/
@Table(name = "Data_Flicker")
public class DataFlicker {
    @Column(name = "TimeID")
    private Date timeID;//	Not NULL	统计数据时间
    @Column(name = "LineID")
    private int lineID;//	Not NULL	数据线路号
    @Column(name = "Phasic_Type")
    private String phasicType;//Varchar	Not NULL	数据类型,’A’表示A相，’B’表示B相,’C’表示C相,’T’表示总
    @Column(name = "Fluc")
    private Float fluc = 0f;//	Not NULL	电压波动
    @Column(name = "PST")
    private Float pst = 0f;//	Not NULL	短时闪变
    @Column(name = "PLT")
    private Float plt = 0f;//	Not NULL	长时闪变

    public Date getTimeID() {
        return timeID;
    }

    public void setTimeID(Date timeID) {
        this.timeID = timeID;
    }

    public int getLineID() {
        return lineID;
    }

    public void setLineID(int lineID) {
        this.lineID = lineID;
    }

    public String getPhasicType() {
        return phasicType;
    }

    public void setPhasicType(String phasicType) {
        this.phasicType = phasicType;
    }

    public Float getFluc() {
        return fluc;
    }

    public void setFluc(Float fluc) {
        this.fluc = fluc;
    }

    public Float getPst() {
        return pst;
    }

    public void setPst(Float pst) {
        this.pst = pst;
    }

    public Float getPlt() {
        return plt;
    }

    public void setPlt(Float plt) {
        this.plt = plt;
    }

    public int getQualityFlag() {
        return qualityFlag;
    }

    public void setQualityFlag(int qualityFlag) {
        this.qualityFlag = qualityFlag;
    }

    @Column(name = "QualityFlag")
    private int qualityFlag;//	Number(1)	Not NULL	数据质量标志（00-表示是正常数据01-表示是错误数据02-表示是有事件的数据）数据库默认是0，污染数据不参与报表统计

    @Override
    public String toString() {
        return "DataFlicker{" +
                "timeID=" + timeID +
                ", lineID=" + lineID +
                ", phasicType='" + phasicType + '\'' +
                ", fluc=" + fluc +
                ", pst=" + pst +
                ", plt=" + plt +
                ", qualityFlag=" + qualityFlag +
                '}';
    }
}
